Page MenuHomePhabricator

Ogv.js fails on theora .ogv video transcodes from webm that have 1000fps
Closed, ResolvedPublic

Description

Ogg theora video transcodes sometimes come out at 1000 fps, with lots of duplicate frame markers to maintain the actual frame rate.

I'm not sure how well browser players handle that, but ogv.js currently tries to actuall draw 1000 frames per second and the result is very slow!

Upstream:

Example files:

Note both of these were uploaded through videoconvert on tool labs, so the webms produced there might be funky. The Latourell Falls video was shot on my Nexus 5x Android phone and uploaded from the .mp4 source.

Note also that webm/vp8 doesn't specify a frame rate the same way ogg theora does; frames are simply positioned in time. So there may be something funky about the webm files, and there may be something funky with the ogg conversion.

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterUpdate ogv.js to 1.1.1 release

Event Timeline

brion created this task.May 8 2016, 3:05 PM
Restricted Application added subscribers: Zppix, Base, Aklapper. · View Herald TranscriptMay 8 2016, 3:05 PM
Paladox added a subscriber: Paladox.May 8 2016, 4:09 PM
Qgil removed a subscriber: Upstream.

Change 288345 had a related patch set uploaded (by Brion VIBBER):
[WIP] Update ogv.js to 1.1.1-alpha.6

https://gerrit.wikimedia.org/r/288345

brion added a comment.May 17 2016, 1:19 PM

Patch https://gerrit.wikimedia.org/r/288345 pulls alpha of upstream ogv.js that fixes the playback behavior. Would still be nice to not produce "1000fps" files in the firs place though...

TheDJ added a subscriber: TheDJ.EditedMay 17 2016, 1:30 PM

VLC also reports 90909.089792 fps for those files btw.

TheDJ renamed this task from Ogg theora .ogv video transcodes from webm sometimes 1000fps to Ogv.js fails on theora .ogv video transcodes from webm that have 1000fps.May 18 2016, 7:02 PM
TheDJ closed this task as Resolved.
TheDJ assigned this task to brion.
TheDJ moved this task from To sort to Done on the TimedMediaHandler board.

Change 288345 merged by jenkins-bot:
Update ogv.js to 1.1.1 release

https://gerrit.wikimedia.org/r/288345